Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleBeanAdaptor

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.AbleBeanAdaptor

All Implemented Interfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

public class AbleBeanAdaptor
extends AbleObject

This class provides a default implementation of an AbleBean. It is used to wrap non-Able components when they are used in the Able Editor. NOTE: This class is still a stub!!!!

See Also:
  Serialized Form

Field Summary
`protected static long` | `serialVersionUID` Serialized version identifier in form YYYYMMDDVerRelModxx
`protected java.lang.Object` | `wrappedObject` The object wrapped by this Able bean adaptor.

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, defaultName, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Constructor Summary
`AbleBeanAdaptor()` Create a default Able bean adaptor.
`AbleBeanAdaptor(java.lang.Object theWrappedObject)` Create a default Able bean adaptor with the specified object.
`AbleBeanAdaptor(java.lang.String theName)` Create a default Able bean adaptor with the specified name.
`AbleBeanAdaptor(java.lang.String theName, java.lang.Object theWrappedObject)` Create a default Able bean adaptor with the specified name and object.

Method Summary
`java.lang.Object` | `getWrappedObject()` Retrieve the wrapped object of this bean adaptor.
`void` | `setWrappedObject(java.lang.Object theWrappedObject)` Set (or change) the wrapped object of this bean adaptor.

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addDestBufferConnection, addPropertyChangeListener, addPropertyConnection, addSourceBufferConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getDestBufferConnections, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getName, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getSourceBufferConnections, getState, getTraceLogger, handleAbleEvent, hasInputBuffer, hasOutputBuffer, init, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, quitAll, quitEnabledEventProcessing, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllConnections, removeAllPropertyConnections, removeDestBufferConnection, removeProperty, removePropertyChangeListener, removePropertyConnection, removeSourceBufferConnection, removeStateChangeListener, reset, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeAll, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setDataFlowEnabled, setFileName, setInputBuffer, setInputBuffer, setLogger, setName, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendAll, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

  Serialized version identifier in form YYYYMMDDVerRelModxx

  See Also:
    Constant Field Values

### wrappedObject

    protected java.lang.Object wrappedObject

  The object wrapped by this Able bean adaptor.

Constructor Detail

### AbleBeanAdaptor

    public AbleBeanAdaptor()
                    throws java.rmi.RemoteException

  Create a default Able bean adaptor.

### AbleBeanAdaptor

    public AbleBeanAdaptor(java.lang.String theName)
                    throws java.rmi.RemoteException

  Create a default Able bean adaptor with the specified name.

Parameters:
  `theName` - The name of this bean adaptor.

### AbleBeanAdaptor

    public AbleBeanAdaptor(java.lang.Object theWrappedObject)
                    throws java.rmi.RemoteException

  Create a default Able bean adaptor with the specified object.

Parameters:
  `theWrappedObject` - An object to be wrapped by this adaptor.

### AbleBeanAdaptor

    public AbleBeanAdaptor(java.lang.String theName,
                           java.lang.Object theWrappedObject)
                    throws java.rmi.RemoteException

  Create a default Able bean adaptor with the specified name and object.

Parameters:
  `theName` - The name of this bean adaptor.

  `theWrappedObject` - An object to be wrapped by this adaptor.

Method Detail

### setWrappedObject

    public void setWrappedObject(java.lang.Object theWrappedObject)
                          throws java.rmi.RemoteException

  Set (or change) the wrapped object of this bean adaptor.

  A PropertyChangeEvent is fired.

  Parameters:
    `theWrappedObject` - An object to be wrapped by this adaptor.

  Throws:
    `java.rmi.RemoteException`
  See Also:
    `wrappedObject`

### getWrappedObject

    public java.lang.Object getWrappedObject()
                                      throws java.rmi.RemoteException

  Retrieve the wrapped object of this bean adaptor.

  Returns:
    An object wrapped by this bean adaptor. or null if no object has been set.
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `wrappedObject`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005